package com.example.tdl.web;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.example.tdl.domain.dto.CommFeedback;
import com.example.tdl.domain.vo.AddUserRouteVo;
import com.example.tdl.domain.vo.UpdateUserRouteVo;
import com.example.tdl.domain.vo.UserRedisVo;
import com.example.tdl.service.UserRouteService;
import com.example.tdl.service.redis.TokenRedisService;
import com.google.gson.Gson;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.apache.commons.lang3.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;


@RestController
@RequestMapping("/userRoute")
public class UserRouteController {

    private Logger logger = LoggerFactory.getLogger(UserRouteController.class);

    CommFeedback fb=new CommFeedback();

    Gson gson=new Gson();

//    @Autowired
//    private UserRouteService userRouteService;
//
//    @Autowired
//    private TokenRedisService tokenRedisService;
//
//
//    //根据用户编号查询用户常用地址
//    @ApiOperation(value = "根据用户编号查询用户常用地址",notes = "根据用户编号查询用户常用地址")
//    @ApiImplicitParams({
//            @ApiImplicitParam(paramType="header", name = "Account_token", value = "token", required = true, dataType = "String"),
//    })
//    @RequestMapping(value="/getByUserNumber",method = RequestMethod.GET)
//    public Object getByUserNumber(HttpServletRequest request){
//        String token = request.getHeader("Account_token");
//        String datum = tokenRedisService.get("TOKEN_" +token);
//        UserRedisVo user =  gson.fromJson(datum,UserRedisVo.class);
//        return userRouteService.getByUserNumber(user.getUserNumber());
//    }
//
//    //添加用户常用地址
//    @ApiOperation(value = "添加用户常用地址",notes = "添加用户常用地址，需要传的参数：" +
//            "   name:地址名," +
//            "   country:国家," +
//            "   province:省," +
//            "   city:城市," +
//            "   address:具体地址," +
//            "   longitude:经度," +
//            "   latitude:纬度," +
//            "   remark:备注")
//    @ApiImplicitParams({
//            @ApiImplicitParam(paramType="header", name = "Account_token", value = "token", required = true, dataType = "String"),
//    })
//    @RequestMapping(value="/addUserRoute",method = RequestMethod.POST)
//    public Object addUserRoute(@RequestBody AddUserRouteVo addUserRouteVo, HttpServletRequest request){
//        String token = request.getHeader("Account_token");
//        String datum = tokenRedisService.get("TOKEN_" +token);
//        UserRedisVo user =  gson.fromJson(datum,UserRedisVo.class);
//        if (StringUtils.isEmpty(addUserRouteVo.getName())){
//            fb.setCode(0);
//            fb.setMessage("添加的别名不能为空");
//            return gson.toJson(fb);
//        }
//        if(StringUtils.isEmpty(addUserRouteVo.getCountry())){
//            fb.setCode(0);
//            fb.setMessage("国家不能为空");
//            return gson.toJson(fb);
//        }
//        if (StringUtils.isEmpty(addUserRouteVo.getProvince())){
//            fb.setCode(0);
//            fb.setMessage("省不能为空");
//            return gson.toJson(fb);
//        }
//        if (StringUtils.isEmpty(addUserRouteVo.getCity())){
//            fb.setCode(0);
//            fb.setMessage("城市不能为空");
//            return gson.toJson(fb);
//        }
//        if (StringUtils.isEmpty(addUserRouteVo.getAddress())){
//            fb.setCode(0);
//            fb.setMessage("添加的详细地址不能为空");
//            return gson.toJson(fb);
//        }
//        if(!addUserRouteVo.getLatitude().matches("^-?(([1-9])((\\.\\d{1,6})?)|([1-8]\\d)((\\.\\d{1,6})?)|90)$")){
//            fb.setCode(0);
//            fb.setMessage("纬度的范围为-90~90");
//            return gson.toJson(fb);
//        }
//        if(!addUserRouteVo.getLongitude().matches("^-?(([1-9]\\d?)((\\.\\d{1,6})?)|(1[1-7]\\d)((\\.\\d{1,6})?)|180)$")) {
//            fb.setCode(0);
//            fb.setMessage("经度的范围为-180~180");
//            return gson.toJson(fb);
//        }
//        if(!addUserRouteVo.getLatitude().matches("^-?(([1-9])((\\.\\d{1,6})?)|([1-8]\\d)((\\.\\d{1,6})?)|90)$")){
//            fb.setCode(0);
//            fb.setMessage("纬度的范围为-90~90");
//            return gson.toJson(fb);
//        }
//        if(!addUserRouteVo.getLongitude().matches("^-?(([1-9]\\d?)((\\.\\d{1,6})?)|(1[1-7]\\d)((\\.\\d{1,6})?)|180)$")) {
//            fb.setCode(0);
//            fb.setMessage("经度的范围为-180~180");
//            return gson.toJson(fb);
//        }
//        if (userRouteService.getByUserNumberAndName(user.getUserNumber(),addUserRouteVo.getName())!=null){
//            fb.setCode(0);
//            fb.setMessage("添加的常用地址别名不能重复");
//            return gson.toJson(fb);
//        }
//        Map<Object,Object> map=new HashMap<>();
//        map.put("userNumber",user.getUserNumber());
//        map.put("name",addUserRouteVo.getName());
//        map.put("country",addUserRouteVo.getCountry());
//        map.put("province",addUserRouteVo.getProvince());
//        map.put("city",addUserRouteVo.getCity());
//        map.put("address",addUserRouteVo.getAddress());
//        map.put("longitude",addUserRouteVo.getLongitude());
//        map.put("latitude",addUserRouteVo.getLatitude());
//        map.put("remark",addUserRouteVo.getRemark());
//        userRouteService.addUserRoute(map);
//        Map<Object,Object> msg=new HashMap<>();
//        msg.put("msg",map.get("msg"));
//        if (msg.get("msg").equals("添加用户常用地址成功")){
//            fb.setCode(1);
//            fb.setMessage("添加用户常用地址成功");
//        }else{
//            fb.setCode(0);
//            fb.setMessage(msg.get("msg").toString());
//        }
//        return gson.toJson(fb);
//    }
//
//    //修改用户常用地址
//    @ApiOperation(value = "修改用户常用地址",notes = "修改用户常用地址，需要传的参数：" +
//            "   oldName:修改之前的地址名," +
//            "   name:地址名," +
//            "   country:国家," +
//            "   province:省," +
//            "   city:城市," +
//            "   address:具体地址," +
//            "   longitude:经度," +
//            "   latitude:纬度," +
//            "   remark:备注")
//    @ApiImplicitParams({
//            @ApiImplicitParam(paramType="header", name = "Account_token", value = "token", required = true, dataType = "String"),
//    })
//    @RequestMapping(value="/updateUserRoute",method = RequestMethod.POST)
//    public Object updateUserRoute(@RequestBody UpdateUserRouteVo updateUserRouteVo, HttpServletRequest request){
//        String token = request.getHeader("Account_token");
//        String datum = tokenRedisService.get("TOKEN_" +token);
//        UserRedisVo user =  gson.fromJson(datum,UserRedisVo.class);
//        if (StringUtils.isEmpty(updateUserRouteVo.getOldName())){
//            fb.setCode(0);
//            fb.setMessage("需要修改的常用地址别名不能为空");
//            return gson.toJson(fb);
//        }
//        if (StringUtils.isEmpty(updateUserRouteVo.getName())){
//            fb.setCode(0);
//            fb.setMessage("添加的别名不能为空");
//            return gson.toJson(fb);
//        }
//        if(StringUtils.isEmpty(updateUserRouteVo.getCountry())){
//            fb.setCode(0);
//            fb.setMessage("国家不能为空");
//            return gson.toJson(fb);
//        }
//        if (StringUtils.isEmpty(updateUserRouteVo.getProvince())){
//            fb.setCode(0);
//            fb.setMessage("省不能为空");
//            return gson.toJson(fb);
//        }
//        if (StringUtils.isEmpty(updateUserRouteVo.getCity())){
//            fb.setCode(0);
//            fb.setMessage("城市不能为空");
//            return gson.toJson(fb);
//        }
//        if (StringUtils.isEmpty(updateUserRouteVo.getAddress())){
//            fb.setCode(0);
//            fb.setMessage("添加的详细地址不能为空");
//            return gson.toJson(fb);
//        }
//        if(!updateUserRouteVo.getLatitude().matches("^-?(([1-9])((\\.\\d{1,6})?)|([1-8]\\d)((\\.\\d{1,6})?)|90)$")){
//            fb.setCode(0);
//            fb.setMessage("纬度的范围为-90~90");
//            return gson.toJson(fb);
//        }
//        if(!updateUserRouteVo.getLongitude().matches("^-?(([1-9]\\d?)((\\.\\d{1,6})?)|(1[1-7]\\d)((\\.\\d{1,6})?)|180)$")) {
//            fb.setCode(0);
//            fb.setMessage("经度的范围为-180~180");
//            return gson.toJson(fb);
//        }
//        if(!updateUserRouteVo.getLatitude().matches("^-?(([1-9])((\\.\\d{1,6})?)|([1-8]\\d)((\\.\\d{1,6})?)|90)$")){
//            fb.setCode(0);
//            fb.setMessage("纬度的范围为-90~90");
//            return gson.toJson(fb);
//        }
//        if(!updateUserRouteVo.getLongitude().matches("^-?(([1-9]\\d?)((\\.\\d{1,6})?)|(1[1-7]\\d)((\\.\\d{1,6})?)|180)$")) {
//            fb.setCode(0);
//            fb.setMessage("经度的范围为-180~180");
//            return gson.toJson(fb);
//        }
//        if (userRouteService.getByUserNumberAndName(user.getUserNumber(),updateUserRouteVo.getName())!=null&&!updateUserRouteVo.getOldName().equals(updateUserRouteVo.getName())){
//            fb.setCode(0);
//            fb.setMessage("添加的常用地址别名不能重复");
//            return gson.toJson(fb);
//        }
//        Map<Object,Object> map=new HashMap<>();
//        map.put("userNumber",user.getUserNumber());
//        map.put("oldName",updateUserRouteVo.getOldName());
//        map.put("name",updateUserRouteVo.getName());
//        map.put("country",updateUserRouteVo.getCountry());
//        map.put("province",updateUserRouteVo.getProvince());
//        map.put("city",updateUserRouteVo.getCity());
//        map.put("address",updateUserRouteVo.getAddress());
//        map.put("longitude",updateUserRouteVo.getLongitude());
//        map.put("latitude",updateUserRouteVo.getLatitude());
//        map.put("remark",updateUserRouteVo.getRemark());
//        userRouteService.updateUserRoute(map);
//        Map<Object,Object> msg=new HashMap<>();
//        msg.put("msg",map.get("msg"));
//        if (msg.get("msg").equals("修改用户常用地址成功")){
//            fb.setCode(1);
//            fb.setMessage("修改用户常用地址成功");
//        }else{
//            fb.setCode(0);
//            fb.setMessage(msg.get("msg").toString());
//        }
//        return gson.toJson(fb);
//    }
//
//    //删除用户常用地址
//    @ApiOperation(value = "删除用户常用地址",notes = "删除用户常用地址,只用传需要删除的地址名")
//    @ApiImplicitParams({
//            @ApiImplicitParam(paramType="header", name = "Account_token", value = "token", required = true, dataType = "String"),
//    })
//    @RequestMapping(value="/delUserRoute",method = RequestMethod.POST)
//    public Object delUserRoute(@RequestBody String name, HttpServletRequest request){
//        JSONObject jsonObject= JSON.parseObject(name);
//        name=(String)jsonObject.get("name");
//        String token = request.getHeader("Account_token");
//        String datum = tokenRedisService.get("TOKEN_" +token);
//        UserRedisVo user =  gson.fromJson(datum,UserRedisVo.class);
//        if (StringUtils.isEmpty(name)){
//            fb.setCode(0);
//            fb.setMessage("需要删除的别名不能为空");
//            return gson.toJson(fb);
//        }
//        int a = userRouteService.delUserRoute(user.getUserNumber(),name);
//
//        if (a>0){
//            fb.setCode(1);
//            fb.setMessage("删除用户常用地址成功");
//        }else{
//            fb.setCode(0);
//            fb.setMessage("删除用户常用地址失败");
//        }
//        return gson.toJson(fb);
//    }

}
